Bug 127346 - repository identifier and sticky repositories
repository identifier and sticky repositories
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-07-06 17:17 EDT by Florin Andrei
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-28 20:08:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2004-07-06 17:17:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Please add a new tag (info field) to the RPM packages, to be used as a
unique identifier for the package repository of origin for that
package. E.g.:

Repository: redhat


Repository: freshrpms

This would enable a much easier package management for tools such as
yum. See this discussion (the "sticky repositories" thread):


Below i will just outline the main points; please read the thread
above which is more detailed.

Essentially, if rpm packages would carry a tag that's used to uniquely
identify the repository of origin for each package, this would
simplify package updates and make them more reliable and less
"surprising" for users. Case in point, add 3 or 4 repositories to
yum.conf then run "yum update" - the end result is a system that's
pretty far from the initial one and, even worse, the result is not
predictable entirely.

If packages could be uniquely tracked back to their repository of
origin, things like "sticky repositories" and selective updates
(update packages using only updates from the same repo) would be
trivial to implement.

Also, users would be able to run commands such as:

yum repo-name install package-name


yum repo-name update package-name
(to manually override repository "stickyness")

On top of that, this would make package management apps such as yum a
lot more easy to integrate with RPM repositories search engines. It
would be just a matter of adding a lot of repos to yum.conf then do a
search; the search results will contain, among other things, the repo
unique ID, so yum would know unambiguously which repo to use to
download a specific package.

In my opinion, this is a must-have feature if multiple RPM
repositories are to peacefully coexist. RPM not supporting this
feature is not just unfriendly to the idea of multiple repositories
coexisting with the official Fedora distribution, but downright hostile.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.see above

Actual Results:  see above

Expected Results:  see above

Additional info:
Comment 2 Jeff Johnson 2004-07-28 20:08:11 EDT
There is no way to add a tag to a package to mark what collection
the package belongs to. Packages are routinely reaggregated
into other collections, any attempt to add a marker to a package
is doomed to fail.

Note You need to log in before you can comment on or make changes to this bug.